> ## Documentation Index
> Fetch the complete documentation index at: https://www.vozo.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un travail de vidéo Synchronisation labiale

> Create a lipsynced talking video



## OpenAPI

````yaml POST /v1/video_generation
openapi: 3.1.0
info:
  title: Vozo API
  description: API for Generating, Editing and Localizing Talking Videos.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.vozo.ai
security:
  - bearerAuth: []
paths:
  /v1/video_generation:
    post:
      description: Create a lipsynced talking video
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoGenerationRequest'
        required: true
      responses:
        '200':
          description: Job ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Job'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    VideoGenerationRequest:
      required:
        - reference_file_url
        - audio_url
        - model
        - reference_file_type
      type: object
      properties:
        reference_file_url:
          description: >-
            Url that our server could download the reference file. Supported
            video types: .mp4 .mov .webm .avi .wmv. Supported image types: .jpg
            .jpeg .png .webp
          type: string
        audio_url:
          description: >-
            Url that our server could download the audio file from to drive the
            reference. Supported audio types: .wav .mp3 .m4a
          type: string
        model:
          $ref: '#/components/schemas/Model'
          description: >-
            standard_v1 or precision_v1. Standard model runs faster but the
            quality is lower.
        reference_file_type:
          $ref: '#/components/schemas/ReferenceFileType'
          description: image or video
        callback_url:
          description: >-
            Url for callback if the job status changes. This URL will receive a
            request with the schema same as response for query job status API
            when job status changes.
          type: string
    Job:
      required:
        - task_id
      type: object
      properties:
        task_id:
          description: ID of the task
          type: string
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        serverTs:
          type: string
    Model:
      type: string
      enum:
        - standard_v1
        - precision_v1
    ReferenceFileType:
      type: string
      enum:
        - video
        - image
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: APIKey
      description: >-
        Bearer authentication header of the form Bearer <api_key>, where
        <api_key> is your API Key. The token in the sample code is referring to
        this api_key as well.

````